{% extends "collectors/base.html" %}
{% from 'macros/inputs.html' import input, label_with_tooltip %}

{% block content %}
    {% include 'includes/alerts.html' %}
    <div class="collectors-add">
        <h1>Add Collector</h1>
        <form method="post">
            {{ label_with_tooltip("collector_name", {"label": "Collector Name", "description": "Unique name of the collector"}) }}
            <br>
            {{ input("collector_name", none, none) }}
            <br>
            {{ label_with_tooltip("collector_class", {"label": "Collector Class", "description": "Class (alias) of the collector"}) }}
            <br>
            {# Custom select options for this unique case #}
            <select name="collector_class" id="collector_class">
                <option value="" selected disabled hidden>Please choose</option>
                {% if external_plugins_present %}
                    <optgroup label="internal">
                {% endif %}
                {% for collector_class_name, collector_data in registered_plugins.items() if collector_data.internal %}
                    <option value="{{ collector_class_name }}">{{ collector_class_name }}</option>
                {% endfor %}
                {% if external_plugins_present %}
                    </optgroup>
                {% endif %}
                {% if external_plugins_present %}
                    <optgroup label="external">
                        {% for collector_class_name, collector_data in registered_plugins.items() if not collector_data.internal %}
                            <option value="{{ collector_class_name }}">{{ collector_class_name }}</option>
                        {% endfor %}
                    </optgroup>
                {% endif %}
            </select>
            <br>
            <button class="submit-button-3" type="submit">Create Collector</button>
        </form>
    </div>
{% endblock %}